<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;

class UsersController extends Controller
{

    public function index()
    {
        $rows = User::whereType('client')->get();
        return view('admin.users.index', compact('rows'));
    }

    public function edit($id)
    {
        $row = User::find($id);
        return view('admin.users.edit',compact('row'));
    }
    public function update($id,Request $request){
        $request->validate([
            'status'=>'required'
        ]);
        User::where('id',$id)->update([
            'status'=>$request['status']
        ]);
        toast('تم التعديل بنجاح','success');
        return redirect()->route('users.index');
    }


    public function destroy($id)
    {
        User::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return back();
    }
}
