<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Country extends Model
{

    protected $table = 'countries';
    public $timestamps = true;
    protected $fillable = array('name');
    protected $casts = ['name' => 'json'];

    public function cities()
    {
        return $this->hasMany(City::class, 'country_id');
    }

}
