<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTokensTable extends Migration {

	public function up()
	{
		Schema::create('tokens', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('token', 191)->nullable();
			$table->integer('user_id')->unsigned();
			$table->enum('status', array('connected', 'disconnected'))->nullable();
			$table->enum('device_type', array('ios', 'android'))->nullable();
		});
	}

	public function down()
	{
		Schema::drop('tokens');
	}
}