@extends('admin.layout.master')
@section('title', 'تفاصيل التحويل والرد')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تفاصيل التحويل والرد</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تفاصيل التحويل والرد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('subscription_transfers.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <p style="font-size: larger">صورة التحويل</p>
                            <img src="{{$row->image}}" style="height: 500px">


                            <div class="form-group">
                                <label for="exampleInputPassword1">رد الإداراة</label>

                                <select required name="status" class="form-control">
                                    <option value="approved" {{$row->status == 'approved' ? "selected":""}} >تم
                                        الموافقة
                                    </option>
                                    <option value="waiting" {{$row->status == 'waiting' ? "selected":""}} >
                                        بإنتظار الرد
                                    </option>
                                    <option value="failed" {{$row->status == 'failed' ? "selected":""}} >
                                        الرفض
                                    </option>
                                </select>


                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
